curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_key": "<string>",
"name": "<string>",
"job": "<string>",
"domain": "<string>"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft"
payload = {
"tool_key": "<string>",
"name": "<string>",
"job": "<string>",
"domain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool_key: '<string>', name: '<string>', job: '<string>', domain: '<string>'})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool_key' => '<string>',
'name' => '<string>',
'job' => '<string>',
'domain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft"
payload := strings.NewReader("{\n \"tool_key\": \"<string>\",\n \"name\": \"<string>\",\n \"job\": \"<string>\",\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool_key\": \"<string>\",\n \"name\": \"<string>\",\n \"job\": \"<string>\",\n \"domain\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool_key\": \"<string>\",\n \"name\": \"<string>\",\n \"job\": \"<string>\",\n \"domain\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"draft_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "drafted",
"tool_key": "<string>",
"signals": {},
"sources": [
{
"kind": "registry",
"url": "<string>",
"ok": true
}
],
"rejected": [
{
"field": "<string>",
"value": "<string>",
"reason": "<string>"
}
],
"error": "<string>",
"failure": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}Draft Agent Picks tool signals
Draft one tool’s signals for a custom job from package registries and its own site: the packages, config names, import patterns and domains that name it in a run. Shares the project’s 60-an-hour draft allowance with the app: 409 rate_limited when spent. Refused with 403 paused while DevTune support has paused the account. Shares the agent-run rate limit. The OAuth member, or the member who created the API key, needs devtune.manage on the account and edit rights on the project. Requires Agent Picks. A body that is not valid JSON, or an empty body, is refused with 400 bad_request and no reason.
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_key": "<string>",
"name": "<string>",
"job": "<string>",
"domain": "<string>"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft"
payload = {
"tool_key": "<string>",
"name": "<string>",
"job": "<string>",
"domain": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool_key: '<string>', name: '<string>', job: '<string>', domain: '<string>'})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool_key' => '<string>',
'name' => '<string>',
'job' => '<string>',
'domain' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft"
payload := strings.NewReader("{\n \"tool_key\": \"<string>\",\n \"name\": \"<string>\",\n \"job\": \"<string>\",\n \"domain\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool_key\": \"<string>\",\n \"name\": \"<string>\",\n \"job\": \"<string>\",\n \"domain\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/tools/draft")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool_key\": \"<string>\",\n \"name\": \"<string>\",\n \"job\": \"<string>\",\n \"domain\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"draft_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"status": "drafted",
"tool_key": "<string>",
"signals": {},
"sources": [
{
"kind": "registry",
"url": "<string>",
"ok": true
}
],
"rejected": [
{
"field": "<string>",
"value": "<string>",
"reason": "<string>"
}
],
"error": "<string>",
"failure": "<string>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>",
"details": {}
}Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.